Last Comment Bug 614231 - Adjust default IPC prefs for Mac 64bit suppport and dropping PPC
: Adjust default IPC prefs for Mac 64bit suppport and dropping PPC
Status: VERIFIED FIXED
[aborts the suite] [perma-orange]
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- major (vote)
: seamonkey2.1b2
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: SmTestFail 558168 614483
  Show dependency treegraph
 
Reported: 2010-11-23 06:12 PST by Robert Kaiser
Modified: 2010-11-23 21:37 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix the prefs (1.07 KB, patch)
2010-11-23 06:16 PST, Robert Kaiser
kairo: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-11-23 06:12:51 PST
We need to ad default prefs for 64bit Mac and remove those for PPC after switching builds that way.

This might fix some test failures on 10.6 as well, thanks to Mark for the pointer!
Comment 1 Robert Kaiser 2010-11-23 06:16:39 PST
Created attachment 492637 [details] [diff] [review]
fix the prefs

This is the exact patch Mark proposed on IRC, so I'm marking is as his patch and giving it r+ from my side.
Comment 2 Robert Kaiser 2010-11-23 06:24:15 PST
And pushed that one as http://hg.mozilla.org/comm-central/rev/7565213b4324
Comment 3 Serge Gautherie (:sgautherie) 2010-11-23 21:23:41 PST
(In reply to comment #0)
> This might fix some test failures on 10.6 as well, thanks to Mark for the
> pointer!

Very first MacOSX 64bit (reftest) build:
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&maxdate=1290184636&hours=24
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290142994.1290143012.18082.gz
OS X 10.6 comm-central-trunk debug test reftest on 2010/11/18 21:03:14
{
REFTEST TEST-UNEXPECTED-FAIL | | EXCEPTION: [Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED) [nsIPrefBranch2.getBoolPref]"  nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)"  location: "JS frame :: chrome://reftest/content/reftest.js :: <TOP_LEVEL> :: line 466"  data: no]
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 409355 bytes during test execution
}
(And this bug affected some other test suites too...)

Last (reftest) build with this error:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290519643.1290519705.26273.gz
OS X 10.6 comm-central-trunk debug test reftest on 2010/11/23 05:40:43

1st fixed (reftest) build:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1290560923.1290562190.31822.gz
OS X 10.6 comm-central-trunk debug test reftest on 2010/11/23 17:08:43

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.